# NAME

csg_call table extrapolate - Part of the VOTCA package

# SYNOPSIS

csg_call table extrapolate [OPTIONS]

csg_call table extrapolate [–help]

Usage: csg_call [OPTIONS] table extrapolate [OPTIONS] <in> <out>

# DESCRIPTION

This script extrapolates a table

# OPTIONS

    Allowed options:

    --avgpoints A         average over the given number of points to extrapolate: default is 3
    --function            constant, linear, quadratic or exponential, sasha, periodic: default is quadratic
    --no-flagupdate       do not update the flag of the extrapolated values
    --region              left, right, or leftright: default is leftright
    --curvature C         curvature of the quadratic function: default is 10000,
                          makes sense only for quadratic extrapolation, ignored for other cases
    -h, --help            Show this help message

    Extrapolation methods:

     always ''$m = dy/dx= (y[i+A]-y[i])/(x[i+A]-x[i])$''

    - constant:  ''$y = y0$''
    - linear:  ''$y = ax + b\;\;b = - m*x_0 + y_0;;a = m$''
    - sasha: ''$y = a*(x-b)^2\;\;b = (x0 - 2y_0/m)\;\; a = m^2/(4*y_0)$''
    - exponential: ''$y = a*\\exp(b*x)\;\;a = y0*\\exp(-m*x0/y0)\;\;b = m/y_0$''
    - quadratic: ''$y = C*(x+a)^2 + b\;\;a = m/(2*C) - x0\;\; b = y_0 - m^2/(4*C)$''
    - periodic  same as linear, but extrapolates right side to end at first point of left side